# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{11,12,13} )

inherit distutils-r1

DESCRIPTION="Python JSON-IPC library for mpv"
HOMEPAGE="https://github.com/iwalton3/python-mpv-jsonipc"
if [[ ${PV} == *9999 ]] ; then
	EGIT_REPO_URI="https://github.com/iwalton3/python-mpv-jsonipc.git"
	inherit git-r3
	KEYWORDS="~amd64"
else
	SRC_URI="https://github.com/iwalton3/python-mpv-jsonipc/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
	KEYWORDS="amd64"
fi


LICENSE="APACHE-2"
SLOT="0"
IUSE=""

DEPEND=" "
RDEPEND="${DEPEND}"
BDEPEND=""

distutils_enable_tests pytest
