# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{11,12,13} )

inherit distutils-r1

DESCRIPTION="Tool for rotating backup files"
HOMEPAGE="https://gitea.fulh.ax/feffe/rotator"
if [[ ${PV} == *9999 ]] ; then
	EGIT_REPO_URI="https://gitea.fulh.ax/feffe/rotator.git"
	inherit git-r3
	KEYWORDS="~amd64 ~arm64"
else
	SRC_URI="https://gitea.fulh.ax/feffe/rotator/archive/v${PV}.tar.gz -> ${P}.tar.gz"
	KEYWORDS="amd64 arm64"
	S="${WORKDIR}/rotator"
fi

LICENSE="BSD"
SLOT="0"
IUSE=""

DEPEND=""
RDEPEND=""
BDEPEND=""

